--[[


╔═╗╔═╗╔═══╗╔════╗╔╗─╔╗╔══╗╔═══╗     ╔═══╗╔═══╗╔═══╗
╚╗╚╝╔╝║╔═╗║║╔╗╔╗║║║─║║╚╣─╝║╔═╗║     ║╔═╗║║╔═╗║║╔═╗║
─╚╗╔╝─║║─║║╚╝║║╚╝║║─║║─║║─║╚══╗     ║╚══╗║║─╚╝║╚═╝║
─╔╝╚╗─║╚═╝║──║║──║║─║║─║║─╚══╗║     ╚══╗║║║─╔╗║╔╗╔╝
╔╝╔╗╚╗║╔═╗║──║║──║╚═╝║╔╣─╗║╚═╝║     ║╚═╝║║╚═╝║║║║╚╗
╚═╝╚═╝╚╝─╚╝──╚╝──╚═══╝╚══╝╚═══╝     ╚═══╝╚═══╝╚╝╚═╝


 ]]--

local screen = {guiGetScreenSize()} local x, y = (screen[1]/1366), (screen[2]/768)

local font = dxCreateFont('files/font.ttf', 14)

local Aba = 'Principal'

local Abas = {
    {x * 334, y * 208, x * 80, y * 80, 'VipBronze'},
    {x * 334, y * 309, x * 80, y * 80, 'VipPlatina'},
    {x * 334, y * 408, x * 80, y * 80, 'VipSigma'},
    {x * 334, y * 504, x * 80, y * 80, 'VipOmega'},
}

local VipBronze = {
    {x * 470, y * 232, x * 214, y * 51, 'Veiculo', 521},
    {x * 754, y * 232, x * 214, y * 51, 'Armas', {22, 30}},
    {x * 470, y * 302, x * 214, y * 51, 'Rainbow'},
}

local VipPlatina = {
    {x * 470, y * 232, x * 214, y * 51, 'Veiculo', 521},
    {x * 470, y * 302, x * 214, y * 51, 'Veiculo', 547},
    {x * 754, y * 232, x * 214, y * 51, 'Armas', {24, 22, 29}},
    {x * 470, y * 372, x * 214, y * 51, 'Bandagem', 100},
    {x * 754, y * 302, x * 214, y * 51, 'Rainbow'},
}

local VipSigma = {
    {x * 470, y * 232, x * 214, y * 51, 'Veiculo', 521},
    {x * 470, y * 302, x * 214, y * 51, 'Veiculo', 547},
    {x * 754, y * 232, x * 214, y * 51, 'Armas', {24, 22, 29}},
    {x * 470, y * 372, x * 214, y * 51, 'Bandagem', 100},
    {x * 754, y * 372, x * 214, y * 51, 'Colete', 50},
    {x * 754, y * 302, x * 214, y * 51, 'Rainbow'},
}

local VipOmega = {
    {x * 470, y * 232, x * 214, y * 51, 'Veiculo', 521},
    {x * 470, y * 302, x * 214, y * 51, 'Veiculo', 451},
    {x * 754, y * 232, x * 214, y * 51, 'Armas', {24, 22, 29, 30}},
    {x * 470, y * 372, x * 214, y * 51, 'Bandagem', 100},
    {x * 636, y * 339, x * 94, y * 51, 'Colete', 100},
    {x * 754, y * 302, x * 214, y * 51, 'Rainbow'},
    {x * 470, y * 442, x * 214, y * 51, 'Blindagem', 100},
}

function dxDraw()
    if Aba == 'Principal' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/Principal.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("Olá Cidadã(o), "..getPlayerName(localPlayer).."!", x * 370, y * 482, x * 1055, y * 531, tocolor(255, 255, 255, 255), 1.00, font, "center", "center", false, false, false, false, false)
    elseif Aba == 'Erro' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/Principal.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("Desculpe! Você não possui VIP em nosso sistema!", x * 370, y * 482, x * 1055, y * 531, tocolor(255, 255, 255, 255), 1.00, font, "center", "center", false, false, false, false, false)
    elseif Aba == 'VipBronze' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/VipBronze.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
    elseif Aba == 'VipPlatina' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/VipPlatina.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
    elseif Aba == 'VipSigma' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/VipSigma.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
    elseif Aba == 'VipOmega' then 
        dxDrawImage(x * 310, y * 159, x * 746, y * 449, 'files/VipOmega.png', 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end
end

function openPainel()
    if not isEventHandlerAdded('onClientRender', root, dxDraw) then
        addEventHandler('onClientRender', root, dxDraw)
        showCursor(true)
        Aba = 'Principal'
        Vips = {}
    end
end
addEvent('Schootz.printPainelVip', true)
addEventHandler('Schootz.printPainelVip', root, openPainel)

bindKey('F5', 'down', 
    function()
        triggerServerEvent('Schootz.onInputPrintVip', localPlayer, localPlayer)
    end
)

function closePainel()
    if isEventHandlerAdded('onClientRender', root, dxDraw) then
        removeEventHandler('onClientRender', root, dxDraw)
        showCursor(false)
    end
end
bindKey('backspace', 'down', closePainel)

function clickFunction(button, state)
    if (button == 'left') and (state == 'down') then 
        if isEventHandlerAdded('onClientRender', root, dxDraw) then
            if Aba == 'VipBronze' then 
                for i,v in ipairs(VipBronze) do 
                    if isMouseInPosition(v[1], v[2], v[3], v[4]) then 
                        triggerServerEvent('Schootz.actionVip', localPlayer, localPlayer, v[5], v[6])
                    end 
                end
            end
        if Aba == 'VipPlatina' then 
            for i,v in ipairs(VipPlatina) do 
                if isMouseInPosition(v[1], v[2], v[3], v[4]) then 
                    triggerServerEvent('Schootz.actionVip', localPlayer, localPlayer, v[5], v[6])
                end
            end
        end
        if Aba == 'VipSigma' then 
            for i,v in ipairs(VipSigma) do 
                if isMouseInPosition(v[1], v[2], v[3], v[4]) then 
                    triggerServerEvent('Schootz.actionVip', localPlayer, localPlayer, v[5], v[6])
                end
            end
        end
        if Aba == 'VipOmega' then 
            for i,v in ipairs(VipOmega) do 
                if isMouseInPosition(v[1], v[2], v[3], v[4]) then 
                    triggerServerEvent('Schootz.actionVip', localPlayer, localPlayer, v[5], v[6])
                end
            end
        end
            for i,v in ipairs(Abas) do 
                if isMouseInPosition(v[1], v[2], v[3], v[4]) then 
                    for _, vip in ipairs(Vips) do 
                            Aba = 'Erro'
                        if v[5] == vip then 
                            Aba = v[5]
                            break
                        end
                    end 
                end
            end
        end
    end
end
addEventHandler('onClientClick', root, clickFunction)

addEvent('Schootz.onInsertTableVips', true)
addEventHandler('Schootz.onInsertTableVips', root, 
    function(acl)
        table.insert(Vips, acl)
    end
)

AirNewSCR_VeiculoColorido = {}

function VIPCarRainbowVIP ( )
	for _, player in pairs(getElementsByType("player")) do
		if getElementData (player, "rainbow.car" ) == true then
			local vehicle = getPedOccupiedVehicle(player)
			if vehicle then
			  local seat = getPedOccupiedVehicleSeat(localPlayer)
			    if seat == 0 then
				if not AirNewSCR_VeiculoColorido[player] then
					AirNewSCR_VeiculoColorido[player] = 0
					return
				end
				local r, g, b = getVehicleColor(vehicle, true)
				if AirNewSCR_VeiculoColorido[player] == 0 then
					if r < 250  then
						r = r + 3
						if r > 255 then
							r = 250
						end
					else
						AirNewSCR_VeiculoColorido[player] = 1
					end
				end
				if AirNewSCR_VeiculoColorido[player] == 1 then
					if g < 250 then
						g = g + 3
					else
						AirNewSCR_VeiculoColorido[player] = 2
					end
				elseif AirNewSCR_VeiculoColorido[player] == 2 then
					if b < 255 then
						if r > 0 then
							r = r - 3
						else
							r = 0
						end
						b = b + 3
						if b > 255 then
							b = 255
						end
					else
						AirNewSCR_VeiculoColorido[player] = 3
					end
				elseif AirNewSCR_VeiculoColorido[player] == 3 then
					if g > 0 then
						if r > 0 then
							r = r - 3
						else
							r = 0
						end
						g = g - 3
						if g < 0 then
							g = 0
						end
					else
						AirNewSCR_VeiculoColorido[player] = 4
					end
				elseif AirNewSCR_VeiculoColorido[player] == 4 then
					if b > 0 then
						b = b - 3
						if b < 0 then
							b = 0
						end
					else
						b = 0
						AirNewSCR_VeiculoColorido[player] = 0
					end
				end
				if r < 0 then r = 0 end
				if g < 0 then g = 0 end
				if b < 0 then b = 0 end
				setVehicleColor(vehicle, r, g, b)
			end
		end
	end
end
end
addEventHandler ( "onClientPreRender", getRootElement(), VIPCarRainbowVIP )


-- Funções Uteis -- 

function isMouseInPosition(x,y,w,h)
	if isCursorShowing() then
		local sx,sy = guiGetScreenSize()
		local cx,cy = getCursorPosition()
		local cx,cy = (cx*sx),(cy*sy)
		if (cx >= x and cx <= x+w) and (cy >= y and cy <= y+h) then
			return true
		end
	end
end

function isEventHandlerAdded( sEventName, pElementAttachedTo, func )
    if type( sEventName ) == 'string' and isElement( pElementAttachedTo ) and type( func ) == 'function' then
        local aAttachedFunctions = getEventHandlers( sEventName, pElementAttachedTo )
        if type( aAttachedFunctions ) == 'table' and #aAttachedFunctions > 0 then
            for i, v in ipairs( aAttachedFunctions ) do
                if v == func then
                    return true
                end
            end
        end
    end
    return false
end