--[[


╔═╗╔═╗╔═══╗╔════╗╔╗─╔╗╔══╗╔═══╗     ╔═══╗╔═══╗╔═══╗
╚╗╚╝╔╝║╔═╗║║╔╗╔╗║║║─║║╚╣─╝║╔═╗║     ║╔═╗║║╔═╗║║╔═╗║
─╚╗╔╝─║║─║║╚╝║║╚╝║║─║║─║║─║╚══╗     ║╚══╗║║─╚╝║╚═╝║
─╔╝╚╗─║╚═╝║──║║──║║─║║─║║─╚══╗║     ╚══╗║║║─╔╗║╔╗╔╝
╔╝╔╗╚╗║╔═╗║──║║──║╚═╝║╔╣─╗║╚═╝║     ║╚═╝║║╚═╝║║║║╚╗
╚═╝╚═╝╚╝─╚╝──╚╝──╚═══╝╚══╝╚═══╝     ╚═══╝╚═══╝╚╝╚═╝


 ]]--

addEvent('Schootz.onInputPrintVip', true)
addEventHandler('Schootz.onInputPrintVip', root, 
    function(player)
        triggerClientEvent(player, 'Schootz.printPainelVip', player)
        for i, v in ipairs(config['Vips']) do 
            if isObjectInACLGroup('user.'..getAccountName(getPlayerAccount(player)), aclGetGroup(v[1])) then 
                triggerClientEvent(player, 'Schootz.onInsertTableVips', player, v[1])
            end
        end
    end
)

local veh = {}
local TimerA = {}
local TimerM = {}

addEvent('Schootz.actionVip', true)
addEventHandler('Schootz.actionVip', root, 
    function(player, type, beneficio)
        if (beneficio) then 
            if type == 'Veiculo' then 
                if isElement(veh[player]) then destroyElement(veh[player]) end
                removePedFromVehicle(player)
                local pos = {getElementPosition(player)}
                veh[player] = createVehicle(beneficio, pos[1] +1, pos[2], pos[3])
				setElementData(veh[player], 'Owner', player)
            elseif type == 'Armas' then
                if not isTimer(TimerA[player]) then 
                    for i, armas in ipairs(beneficio) do
						giveWeapon(player, armas, 300)
                    end 
                    TimerA[player] = setTimer(function()
                        --
                    end, 3 * 120000, 1)
                else
                   return  exports['XT_DxMessages']:addBox(player, 'Espera para pegar esse item', 'error') 
                end
            elseif type == 'Vida' then 
                setElementHealth(player, beneficio)
            elseif type == 'Colete' then 
                setPedArmor(player, beneficio)
            end 
        else 
            if type == 'Rainbow' then
                local vehicle = getPedOccupiedVehicle(player)
                if vehicle then 
                    if getElementData(player, 'rainbow.car') then 
                        setElementData(player, 'rainbow.car', false)
                    else 
                        setElementData(player, 'rainbow.car', true)
                    end 
                end
            elseif type == 'Blindar' then 
                local vehicle = getPedOccupiedVehicle(player)
                if vehicle then
                    setVehicleDamageProof(vehicle, true)
                end
            end
        end
        triggerClientEvent(player, 'Schootz.printPainelVip', player)
        exports['XT_DxMessages']:addBox(player, 'Pacote de '..type..' coletado com sucesso', 'success')
    end 
)   

-- Funções Uteis --

addEventHandler('onPlayerQuit', root, 
    function()
        if isElement(veh[source]) then destroyElement(veh[source]) end
    end
)